Bug 1493435 (CVE-2017-12192)

Summary: CVE-2017-12192 kernel: NULL pointer dereference due to KEYCTL_READ on negative key
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: airlied, ajax, aquini, bhu, blc, bskeggs, dhoward, dominik.mierzejewski, eparis, esandeen, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, matt, mchehab, mcressma, mjg59, mlangsdo, nhorman, nmurray, plougher, quintela, rt-maint, rvrbovsk, sherr, slawomir, steved, vdronov, williams, wmealing, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the Key Management sub component of the Linux kernel, where when trying to issue a KEYTCL_READ on a negative key would lead to a NULL pointer dereference. A local attacker could use this flaw to crash the kernel.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:25:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1493436, 1498365, 1498366, 1498367, 1498368, 1498369, 1498370, 1498371, 1498372, 1498373    
Bug Blocks: 1493438    

Description Andrej Nemec 2017-09-20 07:59:17 UTC
A vulnerability in the Key Management sub component was found in the Linux kernel. Trying to KEYTCL_READ on negative key would lead to a NULL pointer dereference. A local attacker could use this flaw to crash the kernel.

References:

https://lkml.org/lkml/2017/9/18/764

http://seclists.org/oss-sec/2017/q4/63

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=37863c43b2c6464f252862bf2e9768264e961678

Comment 1 Andrej Nemec 2017-09-20 08:00:25 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1493436]

Comment 3 Wade Mealing 2017-10-04 06:59:54 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2.

Future Linux kernel updates for the respective releases will address this issue.

Comment 7 Wade Mealing 2017-10-16 05:25:13 UTC
External References:

http://seclists.org/oss-sec/2017/q4/63

Comment 12 errata-xmlrpc 2018-01-25 11:25:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0151 https://access.redhat.com/errata/RHSA-2018:0151

Comment 13 errata-xmlrpc 2020-06-09 20:53:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:2430 https://access.redhat.com/errata/RHSA-2020:2430